MCUX CLNS MCUX Crypto Library Normal Secure |

Data Structures | Macros | Functions
McuxClPkc_Functions_Init
mcuxClPkc » mcuxClPkc_Functions

mcuxClPkc functions of PKC initialization and deinitialization More...

## Data Structures
struct | mcuxClPkc_State_t
| Structure of PKC state backup. More...

## Macros
#define | MCUXCLPKC_FP_INITIALIZE(pState)
| Helper macro to call mcuxClPkc_Initialize with flow protection. More...
#define | MCUXCLPKC_FP_DEINITIALIZE(pState)
| Helper macro to call mcuxClPkc_Deinitialize with flow protection. More...

## Functions
mcuxClPkc_Status_Protected_t | mcuxClPkc_Initialize (mcuxClPkc_State_t *pState)
| initialize PKC hardware More...
mcuxClPkc_Status_Protected_t | mcuxClPkc_Deinitialize (const mcuxClPkc_State_t *pState)
| deinitialize PKC hardware More...

## Detailed Description

mcuxClPkc functions of PKC initialization and deinitialization

## Macro Definition Documentation

## ◆ MCUXCLPKC_FP_INITIALIZE

#define MCUXCLPKC_FP_INITIALIZE | ( |  | pState | ) |

Helper macro to call mcuxClPkc_Initialize with flow protection.

## ◆ MCUXCLPKC_FP_DEINITIALIZE

#define MCUXCLPKC_FP_DEINITIALIZE | ( |  | pState | ) |

Helper macro to call mcuxClPkc_Deinitialize with flow protection.

## Function Documentation

## ◆ mcuxClPkc_Initialize()

mcuxClPkc_Status_Protected_t mcuxClPkc_Initialize | ( | mcuxClPkc_State_t * | pState | ) |

initialize PKC hardware

This function initializes PKC hardware, and optionally backup the original PKC configuration (except STOP bit).

Parameters

  [out] | pState | pointer to PKC state backup structure. If it's not a NULL pointer, PKC state before initialization will be stored in this structure.

Returns
  A flow-protected status code (see Flow Protection API).

Return values

  MCUXCLPKC_STATUS_OK | this function always returns OK.

## ◆ mcuxClPkc_Deinitialize()

mcuxClPkc_Status_Protected_t mcuxClPkc_Deinitialize | ( | const mcuxClPkc_State_t * | pState | ) |

deinitialize PKC hardware

This function deinitializes PKC hardware, and optionally restore PKC configuration (except STOP bit).

Parameters

  [in] | pState | pointer to PKC state backup structure. If it's not a NULL pointer, PKC state will be restored from this structure.

Returns
  A flow-protected status code (see Flow Protection API).

Return values

  MCUXCLPKC_STATUS_OK | this function always returns OK.